#include <gtk/gtk.h>
#include <stdio.h>
#include "defs.h"
#include "image.h"
#include "support.h"

typedef enum _motion
{
  asked,		/*Disponible      */
  done ,		/*Disponible      */
}motion_t;
typedef enum _motion_state
{
  available,		/*Disponible      */
  unavailable		/*Non disponible  */
}state_motion_t;

state_motion_t state_motion;

int gtkReleaseImage(GtkWidget *wid);
int gtkLoadImage(char **file,pair_t *pair,double factor);
int CreateDrawing(GtkWidget *parent,
  		  GtkWidget *drawing,
		  gchar *name,
		  int x,int y,int width,int height);

GdkPixbuf *image_to_pix(image_t *img);



typedef struct _current_motion
{
    GtkWidget *widget;
    double y;

}current_motion_t;

current_motion_t current_motion;
int gtkCorrelation(current_motion_t *);

static inline current_motion_t* get_current_motion()
{
    return &current_motion;
}

